package agent

var AnswerTool = FromFunction(
	func(ctx *Context, args struct {
		Answer string `description:"the answer to the question"`
	}) (FuncResponse, error) {
		return FuncResponse{Result: args.Answer}, nil
	}).
	WithName("answer").
	WithDescription("Answer the question")
